FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Development

 
 
LinkBack Thread Tools
 
Old 03-03-2012, 07:18 AM
Zac Medico
 
Default New eclass for Python

On 03/02/2012 11:59 PM, Arfrever Frehtes Taifersar Arahesis wrote:
> 2012-02-28 22:13:36 Krzysztof Pawlik napisał(a):
>> - uses PYTHON_TARGETS use-expand
>
> You cannot painlessly use USE flags for this purpose in gentoo-x86 without support for use.unsatisfiable.

Maybe we should change the repoman behavior so that it's just a warning
when a USE-conditional dep is only satisfiable by a masked package. The
probably makes more sense given that emerge --autounmask is enabled by
default these days.
--
Thanks,
Zac
 
Old 03-25-2012, 06:56 PM
Krzysztof Pawlik
 
Default New eclass for Python

On 28/02/12 22:13, Krzysztof Pawlik wrote:
> If there are no objections then during the weekend (March 3, 4) I will add this
> to portage (after finishing remaining TODO items, PyPy requires 4G of RAM(!!)).

Hello,

Slightly late due to Real Life™ but finally it's in the main tree

(and yes - I've tested it with pypy - works as expected

--
Krzysztof Pawlik <nelchael at gentoo.org> key id: 0xF6A80E46
desktop-misc, java, vim, kernel, python, apache...
 
Old 03-25-2012, 07:08 PM
Luca Barbato
 
Default New eclass for Python

On 3/25/12 11:56 AM, Krzysztof Pawlik wrote:

On 28/02/12 22:13, Krzysztof Pawlik wrote:

If there are no objections then during the weekend (March 3, 4) I will add this
to portage (after finishing remaining TODO items, PyPy requires 4G of RAM(!!)).


Hello,

Slightly late due to Real Life™ but finally it's in the main tree

(and yes - I've tested it with pypy - works as expected


Wonderful =)

I'd split away the python eclass to have a trimmed down eclass specific
for the implementations btw. (the mess with the eselect-python shown we
could fix that better)


lu
 
Old 03-26-2012, 07:20 AM
justin
 
Default New eclass for Python

On 25/03/12 20:56, Krzysztof Pawlik wrote:
> On 28/02/12 22:13, Krzysztof Pawlik wrote:
>> If there are no objections then during the weekend (March 3, 4) I will add this
>> to portage (after finishing remaining TODO items, PyPy requires 4G of RAM(!!)).
>
> Hello,
>
> Slightly late due to Real Life™ but finally it's in the main tree
>
> (and yes - I've tested it with pypy - works as expected
>

Hi,

is there any documentation beside the man page somewhere?

I tried to port some ebuilds but as soon I set

PYTHON_COMPAT="python2_7 python2_6 python2_5 pypy1_8"

inherit python-distutils-ng

I get

REQUIRED_USE: USE flag 'python_targets_python3_1' is not in IUSE


Did I do something wrong, or is there something not straight in the eclass?

Thanks justin
 
Old 03-26-2012, 07:21 AM
justin
 
Default New eclass for Python

On 25/03/12 20:56, Krzysztof Pawlik wrote:
> On 28/02/12 22:13, Krzysztof Pawlik wrote:
>> If there are no objections then during the weekend (March 3, 4) I will add this
>> to portage (after finishing remaining TODO items, PyPy requires 4G of RAM(!!)).
>
> Hello,
>
> Slightly late due to Real Life™ but finally it's in the main tree
>
> (and yes - I've tested it with pypy - works as expected
>

Hi,

is it okay if I start fixing things for prefix?

jusitn
 
Old 03-26-2012, 04:02 PM
Krzysztof Pawlik
 
Default New eclass for Python

On 26/03/12 09:21, justin wrote:
> On 25/03/12 20:56, Krzysztof Pawlik wrote:
>> On 28/02/12 22:13, Krzysztof Pawlik wrote:
>>> If there are no objections then during the weekend (March 3, 4) I will add this
>>> to portage (after finishing remaining TODO items, PyPy requires 4G of RAM(!!)).
>>
>> Hello,
>>
>> Slightly late due to Real Life™ but finally it's in the main tree
>>
>> (and yes - I've tested it with pypy - works as expected
>>
>
> Hi,
>
> is it okay if I start fixing things for prefix?

Yes, by all means - please send the diff to this thread.

> jusitn
^^^^^^ your e-mail says "justin" -- typo?

--
Krzysztof Pawlik <nelchael at gentoo.org> key id: 0xF6A80E46
desktop-misc, java, vim, kernel, python, apache...
 
Old 03-26-2012, 04:11 PM
Krzysztof Pawlik
 
Default New eclass for Python

On 26/03/12 09:20, justin wrote:
> On 25/03/12 20:56, Krzysztof Pawlik wrote:
>> On 28/02/12 22:13, Krzysztof Pawlik wrote:
>>> If there are no objections then during the weekend (March 3, 4) I will add this
>>> to portage (after finishing remaining TODO items, PyPy requires 4G of RAM(!!)).
>>
>> Hello,
>>
>> Slightly late due to Real Life™ but finally it's in the main tree
>>
>> (and yes - I've tested it with pypy - works as expected
>>
>
> Hi,
>
> is there any documentation beside the man page somewhere?

No.

> I tried to port some ebuilds but as soon I set
>
> PYTHON_COMPAT="python2_7 python2_6 python2_5 pypy1_8"
>
> inherit python-distutils-ng
>
> I get
>
> REQUIRED_USE: USE flag 'python_targets_python3_1' is not in IUSE
>
> Did I do something wrong, or is there something not straight in the eclass?

Can you send me the whole ebuild off-list?

There are two ebuilds using the eclass that I've used as tests:
http://git.overlays.gentoo.org/gitweb/?p=dev/nelchael.git;a=tree;f=dev-python;h=f1a8e00e3e6df33806d8972c8898f1187163bd3d; hb=HEAD

--
Krzysztof Pawlik <nelchael at gentoo.org> key id: 0xF6A80E46
desktop-misc, java, vim, kernel, python, apache...
 
Old 03-26-2012, 04:23 PM
Krzysztof Pawlik
 
Default New eclass for Python

On 26/03/12 18:11, Krzysztof Pawlik wrote:
> On 26/03/12 09:20, justin wrote:
>> On 25/03/12 20:56, Krzysztof Pawlik wrote:
>>> On 28/02/12 22:13, Krzysztof Pawlik wrote:
>>>> If there are no objections then during the weekend (March 3, 4) I will add this
>>>> to portage (after finishing remaining TODO items, PyPy requires 4G of RAM(!!)).
>>>
>>> Hello,
>>>
>>> Slightly late due to Real Life™ but finally it's in the main tree
>>>
>>> (and yes - I've tested it with pypy - works as expected
>>>
>>
>> Hi,
>>
>> is there any documentation beside the man page somewhere?
>
> No.
>
>> I tried to port some ebuilds but as soon I set
>>
>> PYTHON_COMPAT="python2_7 python2_6 python2_5 pypy1_8"
>>
>> inherit python-distutils-ng
>>
>> I get
>>
>> REQUIRED_USE: USE flag 'python_targets_python3_1' is not in IUSE
>>
>> Did I do something wrong, or is there something not straight in the eclass?
>
> Can you send me the whole ebuild off-list?
>
> There are two ebuilds using the eclass that I've used as tests:
> http://git.overlays.gentoo.org/gitweb/?p=dev/nelchael.git;a=tree;f=dev-python;h=f1a8e00e3e6df33806d8972c8898f1187163bd3d; hb=HEAD

Ok, found a bug: REQUIRED_USE can't contain elements not in USE, so if you
excluded python3_1 from PYTHON_COMPAT it didn't appear in IUSE too ->
REQUIRED_USE contained invalid value. Fixed by below patch:

nelchael@s-lappy ~/.../gentoo-x86/eclass$ cvs diff
Index: python-distutils-ng.eclass
================================================== =================
RCS file: /var/cvsroot/gentoo-x86/eclass/python-distutils-ng.eclass,v
retrieving revision 1.2
diff -u -r1.2 python-distutils-ng.eclass
--- python-distutils-ng.eclass 26 Mar 2012 06:12:53 -0000 1.2
+++ python-distutils-ng.eclass 26 Mar 2012 16:20:52 -0000
@@ -105,11 +105,11 @@
esac
}

-required_use_str=" || (
- python_targets_python2_5 python_targets_python2_6 python_targets_python2_7
- python_targets_python3_1 python_targets_python3_2
- python_targets_jython2_5
- python_targets_pypy1_7 python_targets_pypy1_8 )"
+required_use_str=""
+for impl in ${PYTHON_COMPAT}; do
+ required_use_str="${required_use_str} python_targets_${impl}"
+done
+required_use_str=" || ( ${required_use_str} )"
if [[ "${PYTHON_OPTIONAL}" = "yes" ]]; then
IUSE+="python"
REQUIRED_USE+=" python? ( ${required_use_str} )"


--
Krzysztof Pawlik <nelchael at gentoo.org> key id: 0xF6A80E46
desktop-misc, java, vim, kernel, python, apache...
 
Old 04-04-2012, 08:50 AM
Corentin Chary
 
Default New eclass for Python

On Mon, Mar 26, 2012 at 6:23 PM, Krzysztof Pawlik <nelchael@gentoo.org> wrote:
> On 26/03/12 18:11, Krzysztof Pawlik wrote:
>> On 26/03/12 09:20, justin wrote:
>>> On 25/03/12 20:56, Krzysztof Pawlik wrote:
>>>> On 28/02/12 22:13, Krzysztof Pawlik wrote:
>>>>> If there are no objections then during the weekend (March 3, 4) I will add this
>>>>> to portage (after finishing remaining TODO items, PyPy requires 4G of RAM(!!)).
>>>>
>>>> Hello,
>>>>
>>>> Slightly late due to Real Life™ but finally it's in the main tree
>>>>
>>>> (and yes - I've tested it with pypy - works as expected
>>>>
>>>
>>> Hi,
>>>
>>> is there any documentation beside the man page somewhere?
>>
>> No.
>>
>>> I tried to port some ebuilds but as soon I set
>>>
>>> PYTHON_COMPAT="python2_7 python2_6 python2_5 pypy1_8"
>>>
>>> inherit python-distutils-ng
>>>
>>> I get
>>>
>>> * REQUIRED_USE: USE flag 'python_targets_python3_1' is not in IUSE
>>>
>>> Did I do something wrong, or is there something not straight in the eclass?
>>
>> Can you send me the whole ebuild off-list?
>>
>> There are two ebuilds using the eclass that I've used as tests:
>> http://git.overlays.gentoo.org/gitweb/?p=dev/nelchael.git;a=tree;f=dev-python;h=f1a8e00e3e6df33806d8972c8898f1187163bd3d; hb=HEAD
>
> Ok, found a bug: REQUIRED_USE can't contain elements not in USE, so if you
> excluded python3_1 from PYTHON_COMPAT it didn't appear in IUSE too ->
> REQUIRED_USE contained invalid value. Fixed by below patch:
>
> nelchael@s-lappy ~/.../gentoo-x86/eclass$ cvs diff
> Index: python-distutils-ng.eclass
> ================================================== =================
> RCS file: /var/cvsroot/gentoo-x86/eclass/python-distutils-ng.eclass,v
> retrieving revision 1.2
> diff -u -r1.2 python-distutils-ng.eclass
> --- python-distutils-ng.eclass *26 Mar 2012 06:12:53 -0000 * * *1.2
> +++ python-distutils-ng.eclass *26 Mar 2012 16:20:52 -0000
> @@ -105,11 +105,11 @@
> * * * *esac
> *}
>
> -required_use_str=" || (
> - * * * python_targets_python2_5 python_targets_python2_6 python_targets_python2_7
> - * * * python_targets_python3_1 python_targets_python3_2
> - * * * python_targets_jython2_5
> - * * * python_targets_pypy1_7 python_targets_pypy1_8 )"
> +required_use_str=""
> +for impl in ${PYTHON_COMPAT}; do
> + * * * required_use_str="${required_use_str} python_targets_${impl}"
> +done
> +required_use_str=" || ( ${required_use_str} )"
> *if [[ "${PYTHON_OPTIONAL}" = "yes" ]]; then
> * * * *IUSE+="python"
> * * * *REQUIRED_USE+=" python? ( ${required_use_str} )"
>
>
> --
> Krzysztof Pawlik *<nelchael at gentoo.org> *key id: 0xF6A80E46
> desktop-misc, java, vim, kernel, python, apache...
>

I have a feature request for distutil-ng (or maybe it's already
possible but I don't know how).

I have a package that depends on python-dateutilython-2 for
python2_x and python-dateutilython-3 for python3_x.
Would it be possible to have virtual targets like "python, python2,
python3, pypi, jithon" ?

Thanks,


--
Corentin Chary
http://xf.iksaif.net
 
Old 04-04-2012, 02:22 PM
Mike Gilbert
 
Default New eclass for Python

On Wed, Apr 4, 2012 at 4:50 AM, Corentin Chary <corentin.chary@gmail.com> wrote:
> I have a package that depends on python-dateutilython-2 for
> python2_x and python-dateutilython-3 for python3_x.
> Would it be possible to have virtual targets like "python, python2,
> python3, pypi, jithon" ?
>

With regards to python-dateutil: As of python-dateutil-2.1, there are
no longer separate slots for python-2 and python-3. As well, I masked
the only version (2.0) with SLOT=python-3.

For future compatibility, you should remove the slot from your
dependencies and just depend on dev-python/python-dateutil.
 

Thread Tools




All times are GMT. The time now is 10:14 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org